#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private OrderflowsTension[] cacheOrderflowsTension;

		
		public OrderflowsTension OrderflowsTension()
		{
			return OrderflowsTension(Input);
		}


		
		public OrderflowsTension OrderflowsTension(ISeries<double> input)
		{
			if (cacheOrderflowsTension != null)
				for (int idx = 0; idx < cacheOrderflowsTension.Length; idx++)
					if ( cacheOrderflowsTension[idx].EqualsInput(input))
						return cacheOrderflowsTension[idx];
			return CacheIndicator<OrderflowsTension>(new OrderflowsTension(), input, ref cacheOrderflowsTension);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.OrderflowsTension OrderflowsTension()
		{
			return indicator.OrderflowsTension(Input);
		}


		
		public Indicators.OrderflowsTension OrderflowsTension(ISeries<double> input )
		{
			return indicator.OrderflowsTension(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.OrderflowsTension OrderflowsTension()
		{
			return indicator.OrderflowsTension(Input);
		}


		
		public Indicators.OrderflowsTension OrderflowsTension(ISeries<double> input )
		{
			return indicator.OrderflowsTension(input);
		}

	}
}

#endregion
